Create an ingest job for the authenticated organization. You can control how documents are parsed and chunked using the optional config object (for example, chunk size, overlap, language, and advanced OCR/LLM options).
POST
/
v1
/
namespace
/
{namespaceId}
/
ingest-jobs
TypeScript
import { Agentset } from "agentset";const agentset = new Agentset({ apiKey: 'agentset_xxx' });const ns = agentset.namespace('ns_xxx');const job = await ns.ingestion.create({ payload: { type: "TEXT", text: "This is some content to ingest into the knowledge base.", }, config: { metadata: { foo: "bar", }, chunkSize: 2048, },});console.log(job);
from agentset import Agentset
with Agentset(
namespace_id="ns_123",
x_tenant_id="<id>",
token="AGENTSET_API_KEY",
) as a_client:
res = a_client.ingest_jobs.create(payload={
"type": "TEXT",
"text": "<value>",
})
# Handle response
print(res)
{
"success": false,
"error": {
"code": "bad_request",
"message": "The requested resource was not found.",
"doc_url": "https://docs.agentset.ai/api-reference/errors#bad-request"
}
}
{
"success": false,
"error": {
"code": "unauthorized",
"message": "The requested resource was not found.",
"doc_url": "https://docs.agentset.ai/api-reference/errors#unauthorized"
}
}
{
"success": false,
"error": {
"code": "forbidden",
"message": "The requested resource was not found.",
"doc_url": "https://docs.agentset.ai/api-reference/errors#forbidden"
}
}
{
"success": false,
"error": {
"code": "not_found",
"message": "The requested resource was not found.",
"doc_url": "https://docs.agentset.ai/api-reference/errors#not-found"
}
}
{
"success": false,
"error": {
"code": "conflict",
"message": "The requested resource was not found.",
"doc_url": "https://docs.agentset.ai/api-reference/errors#conflict"
}
}
{
"success": false,
"error": {
"code": "invite_expired",
"message": "The requested resource was not found.",
"doc_url": "https://docs.agentset.ai/api-reference/errors#invite-expired"
}
}
{
"success": false,
"error": {
"code": "unprocessable_entity",
"message": "The requested resource was not found.",
"doc_url": "https://docs.agentset.ai/api-reference/errors#unprocessable-entity"
}
}
{
"success": false,
"error": {
"code": "rate_limit_exceeded",
"message": "The requested resource was not found.",
"doc_url": "https://docs.agentset.ai/api-reference/errors#rate-limit_exceeded"
}
}
{
"success": false,
"error": {
"code": "internal_server_error",
"message": "The requested resource was not found.",
"doc_url": "https://docs.agentset.ai/api-reference/errors#internal-server_error"
}
}
{"docsConfig":{"theme":"maple","$schema":"https://mintlify.com/docs.json","name":"Agentset","colors":{"primary":"#101828","light":"#fff","dark":"#060B14"},"logo":{"light":"https://mintcdn.com/agentset/CEtQtLLZxyndVLIA/images/logo/light.svg?fit=max\u0026auto=format\u0026n=CEtQtLLZxyndVLIA\u0026q=85\u0026s=bad79c1567dca86262478917c11822ad","dark":"https://mintcdn.com/agentset/CEtQtLLZxyndVLIA/images/logo/dark.svg?fit=max\u0026auto=format\u0026n=CEtQtLLZxyndVLIA\u0026q=85\u0026s=2d4c089c575b721ba4b115a517cc43d4"},"favicon":"https://mintcdn.com/agentset/vcYsAoevgOLWGz34/images/logo/favicon.png?fit=max\u0026auto=format\u0026n=vcYsAoevgOLWGz34\u0026q=85\u0026s=288a0f5da8e94eb3f3a3cfc9d4ac49c3","api":{"openapi":"https://spec.speakeasy.com/agentset-ktc/api/agentset-api-with-code-samples"},"navbar":{"links":[{"href":"https://docs.agentset.ai/llms.txt","label":"LLMs.txt"},{"href":"mailto:contact@agentset.ai","label":"Contact Us"},{"href":"https://app.agentset.ai","label":"Login"}]},"footer":{"socials":{"github":"https://github.com/agentset-ai","discord":"https://discord.gg/AqMkKAYZCu"}},"integrations":{"ga4":{"measurementId":"G-QZ84QPSV3W"}},"contextual":{"options":["copy","chatgpt","claude","cursor","vscode"],"display":"header"},"styling":{"latex":false},"navigation":{"global":{"anchors":[]},"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"agentset","hasAudioNarration":false,"actualSubdomain":"agentset","customDomains":["docs.agentset.ai"],"gitSource":{"type":"github","owner":"agentset-ai","repo":"agentset","deployBranch":"main","contentDirectory":"docs","isPrivate":false,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6a4902de35243fdf2cb0a89c","collectionId":"b92cc00e-a47a-47ba-8c62-4af4a71c8bba","schemaVersion":"v3"},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6a4902de35243fdf2cb0a89c:success","clientVersion":"0.0.4045","searchFilterCounts":[{"language":"default","tag":"Documentation","count":32},{"language":"default","tag":"API Reference","count":27},{"language":"default","tag":"Self-hosting","count":12},{"language":"default","tag":"Steps","count":10},{"language":"default","tag":"Data Ingestion","count":9},{"language":"default","tag":"Overview","count":7},{"language":"default","tag":"Search and Retrieval","count":7},{"language":"default","tag":"Get Started","count":6},{"language":"default","tag":"Documents","count":5},{"language":"default","tag":"Ingest Jobs","count":5}]},"assistantConfig":{},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[],"googleFontsInlined":false},"customCss":[{"filePath":"style.css","content":"#content-area p a,#content-area td a{text-decoration:underline!important}"}],"page":{"pagePath":"api-reference/endpoint/ingest-jobs/create","slug":"/api-reference/endpoint/ingest-jobs/create","pageMetadata":{"openapi":"post /v1/namespace/{namespaceId}/ingest-jobs","title":"Create an ingest job","description":"Create an ingest job for the authenticated organization. You can control how documents are parsed and chunked using the optional `config` object (for example, chunk size, overlap, language, and advanced OCR/LLM options).","href":"/api-reference/endpoint/ingest-jobs/create"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx, jsxs: _jsxs} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n code: \"code\",\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsxs(_components.p, {\n children: [\"Create an ingest job for the authenticated organization. You can control how documents are parsed and chunked using the optional \", _jsx(_components.code, {\n children: \"config\"\n }), \" object (for example, chunk size, overlap, language, and advanced OCR/LLM options).\"]\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"openapi":"post /v1/namespace/{namespaceId}/ingest-jobs","title":"Create an ingest job","description":"Create an ingest job for the authenticated organization. You can control how documents are parsed and chunked using the optional `config` object (for example, chunk size, overlap, language, and advanced OCR/LLM options).","href":"/api-reference/endpoint/ingest-jobs/create"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"operationId":"createIngestJob","x-speakeasy-name-override":"create","x-speakeasy-group":"ingestJobs","summary":"Create an ingest job","description":"Create an ingest job for the authenticated organization. You can control how documents are parsed and chunked using the optional `config` object (for example, chunk size, overlap, language, and advanced OCR/LLM options).","tags":["Ingest Jobs"],"security":["3b707200-711a-452a-84a1-f163d4c0e26d"],"x-codeSamples":[{"lang":"TypeScript","source":"\nimport { Agentset } from \"agentset\";\n\nconst agentset = new Agentset({ apiKey: 'agentset_xxx' });\nconst ns = agentset.namespace('ns_xxx');\n\nconst job = await ns.ingestion.create({\n payload: {\n type: \"TEXT\",\n text: \"This is some content to ingest into the knowledge base.\",\n },\n config: {\n metadata: {\n foo: \"bar\",\n },\n chunkSize: 2048,\n },\n});\nconsole.log(job);\n"},{"lang":"python","label":"Python (SDK)","source":"from agentset import Agentset\n\n\nwith Agentset(\n namespace_id=\"ns_123\",\n x_tenant_id=\"\u003cid>\",\n token=\"AGENTSET_API_KEY\",\n) as a_client:\n\n res = a_client.ingest_jobs.create(payload={\n \"type\": \"TEXT\",\n \"text\": \"\u003cvalue>\",\n })\n\n # Handle response\n print(res)"}],"parameters":["8992273f-49d6-499b-8b95-1f1505683ee9","f1211279-8909-407b-afbd-e7180ec08555"],"requestBody":"6416f899-0441-47ec-a3fb-c15a4247a3bc","responses":{"201":"0e46dbf4-f1a3-4946-8ccf-9d38c3c2e965","400":"a596575f-31c7-47df-856c-96b4434b250c","401":"c2cfc78b-1d5e-4fd5-bd3b-1d3ac6485268","403":"c65ec658-b086-4ec4-8ba6-e8abad81fd2d","404":"602adc33-8687-4b33-b297-452772acaa82","409":"d7c2d29a-7223-4a77-8412-973ca85989eb","410":"a3ce677f-4e3c-42e7-8de2-8f975d789343","422":"db7cfc70-5441-45c0-8936-f615c1efc869","429":"49bb3628-d297-47d0-9d0d-7f9d7f029f44","500":"cf3b0049-edb0-4dbc-b67a-3d6f714d6672"},"method":"post","type":"path","servers":["01d22303-6b66-4548-adb0-bfc5f26d3c3e"],"path":"/v1/namespace/{namespaceId}/ingest-jobs","baseUrlOptions":["https://api.agentset.ai"],"title":"Create an ingest job","codeSamples":[{"lang":"TypeScript","source":"\nimport { Agentset } from \"agentset\";\n\nconst agentset = new Agentset({ apiKey: 'agentset_xxx' });\nconst ns = agentset.namespace('ns_xxx');\n\nconst job = await ns.ingestion.create({\n payload: {\n type: \"TEXT\",\n text: \"This is some content to ingest into the knowledge base.\",\n },\n config: {\n metadata: {\n foo: \"bar\",\n },\n chunkSize: 2048,\n },\n});\nconsole.log(job);\n"},{"label":"Python (SDK)","lang":"python","source":"from agentset import Agentset\n\n\nwith Agentset(\n namespace_id=\"ns_123\",\n x_tenant_id=\"\u003cid>\",\n token=\"AGENTSET_API_KEY\",\n) as a_client:\n\n res = a_client.ingest_jobs.create(payload={\n \"type\": \"TEXT\",\n \"text\": \"\u003cvalue>\",\n })\n\n # Handle response\n print(res)"}],"requiredOnlyExamples":false,"requestExampleType":"codeSamples","responseExampleType":"generated"},"dependencies":{"parameters":{"8992273f-49d6-499b-8b95-1f1505683ee9":{"in":"path","name":"namespaceId","schema":{"type":"string","examples":["ns_123"],"description":"The id of the namespace (prefixed with ns_)","isRequired":true,"uniqueKey":"","typeLabel":"string"},"x-speakeasy-globals-hidden":true,"required":true,"description":"The id of the namespace (prefixed with ns_)"},"f1211279-8909-407b-afbd-e7180ec08555":{"in":"header","name":"x-tenant-id","schema":{"description":"Optional tenant id to use for the request. If not provided, the namespace will be used directly. Must be alphanumeric and up to 64 characters.","type":"string","pattern":"^[A-Za-z0-9]{1,64}$","uniqueKey":"","typeLabel":"string"},"description":"Optional tenant id to use for the request. If not provided, the namespace will be used directly. Must be alphanumeric and up to 64 characters."}},"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"payload":{"oneOf":[{"type":"object","title":"Text Payload","description":"The ingest job payload for creation.","required":["type","text"],"properties":{"type":{"type":"string","const":"TEXT","isRequired":true,"uniqueKey":"payload.oneOf.0.type","typeLabel":"string"},"text":{"type":"string","minLength":1,"description":"The text to ingest.","isRequired":true,"uniqueKey":"payload.oneOf.0.text","typeLabel":"string"},"fileName":{"oneOf":[{"type":"string","description":"The name of the file.","uniqueKey":"payload.oneOf.0.fileName.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"payload.oneOf.0.fileName.oneOf.1","typeLabel":"null"}],"uniqueKey":"payload.oneOf.0.fileName","typeLabel":"string | null"}},"isRequired":true,"uniqueKey":"payload.oneOf.0","typeLabel":"Text Payload · object"},{"type":"object","title":"URL Payload","description":"The ingest job payload for creation.","required":["type","fileUrl"],"properties":{"type":{"type":"string","const":"FILE","isRequired":true,"uniqueKey":"payload.oneOf.1.type","typeLabel":"string"},"fileUrl":{"type":"string","format":"uri","description":"The URL of the file to ingest.","isRequired":true,"uniqueKey":"payload.oneOf.1.fileUrl","typeLabel":"string\u003curi>"},"fileName":{"oneOf":[{"type":"string","description":"The name of the file.","uniqueKey":"payload.oneOf.1.fileName.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"payload.oneOf.1.fileName.oneOf.1","typeLabel":"null"}],"uniqueKey":"payload.oneOf.1.fileName","typeLabel":"string | null"}},"isRequired":true,"uniqueKey":"payload.oneOf.1","typeLabel":"URL Payload · object"},{"type":"object","title":"Managed File Payload","description":"The ingest job payload for creation.","required":["type","key"],"properties":{"type":{"type":"string","const":"MANAGED_FILE","isRequired":true,"uniqueKey":"payload.oneOf.2.type","typeLabel":"string"},"key":{"type":"string","description":"The key of the managed file to ingest.","isRequired":true,"uniqueKey":"payload.oneOf.2.key","typeLabel":"string"},"fileName":{"oneOf":[{"type":"string","description":"The name of the file.","uniqueKey":"payload.oneOf.2.fileName.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"payload.oneOf.2.fileName.oneOf.1","typeLabel":"null"}],"uniqueKey":"payload.oneOf.2.fileName","typeLabel":"string | null"}},"isRequired":true,"uniqueKey":"payload.oneOf.2","typeLabel":"Managed File Payload · object"},{"type":"object","title":"Crawl Payload","description":"The ingest job payload for creation.","required":["type","url"],"properties":{"type":{"type":"string","const":"CRAWL","isRequired":true,"uniqueKey":"payload.oneOf.3.type","typeLabel":"string"},"url":{"type":"string","format":"uri","description":"The starting URL to crawl.","isRequired":true,"uniqueKey":"payload.oneOf.3.url","typeLabel":"string\u003curi>"},"maxDepth":{"type":"integer","minimum":1,"maximum":9007199254740991,"description":"Maximum depth to follow links from the starting URL. Depth 1 means only the initial page. Defaults to `5`.","uniqueKey":"payload.oneOf.3.maxDepth","typeLabel":"integer"},"limit":{"type":"integer","minimum":1,"maximum":9007199254740991,"description":"Maximum number of pages to crawl before stopping. Helps bound large sites. Defaults to `50`.","uniqueKey":"payload.oneOf.3.limit","typeLabel":"integer"},"includePaths":{"type":"array","items":{"type":"string","uniqueKey":"payload.oneOf.3.includePaths.items.[INDEX]","typeLabel":"string"},"description":"Only crawl URLs whose path matches at least one of these prefixes.","uniqueKey":"payload.oneOf.3.includePaths","typeLabel":"string[]"},"excludePaths":{"type":"array","items":{"type":"string","uniqueKey":"payload.oneOf.3.excludePaths.items.[INDEX]","typeLabel":"string"},"description":"Never crawl URLs whose path matches these prefixes.","uniqueKey":"payload.oneOf.3.excludePaths","typeLabel":"string[]"},"headers":{"type":"object","propertyNames":{"type":"string"},"additionalProperties":{"type":"string","uniqueKey":"payload.oneOf.3.headers.additionalProperties","typeLabel":"string"},"description":"Custom HTTP headers to send with crawl requests (for example, auth headers).","uniqueKey":"payload.oneOf.3.headers","typeLabel":"object"}},"isRequired":true,"uniqueKey":"payload.oneOf.3","typeLabel":"Crawl Payload · object"},{"type":"object","title":"Youtube Payload","description":"The ingest job payload for creation.","required":["type","urls"],"properties":{"type":{"type":"string","const":"YOUTUBE","isRequired":true,"uniqueKey":"payload.oneOf.4.type","typeLabel":"string"},"urls":{"minItems":1,"type":"array","items":{"type":"string","format":"uri","uniqueKey":"payload.oneOf.4.urls.items.[INDEX]","typeLabel":"string\u003curi>"},"description":"The URLs of videos, channels, or playlists (hostname must be www.youtube.com or youtu.be).","isRequired":true,"uniqueKey":"payload.oneOf.4.urls","typeLabel":"string\u003curi>[]"},"transcriptLanguages":{"type":"array","items":{"type":"string","enum":["af","am","ar","bg","bn","ca","cs","cy","da","de","en","es","et","fa","fi","fr","ga","gl","he","hi","hr","hu","id","is","it","jp","kr","lt","lv","mk","ms","mt","ne","nl","no","pl","pt","ro","ru","sk","sl","sr","sv","sw","ta","te","th","tl","tr","uk","ur","vi","zh","zu"],"uniqueKey":"payload.oneOf.4.transcriptLanguages.items.[INDEX]","typeLabel":"enum\u003cstring>"},"description":"We will try to fetch the first available transcript in the given languages. Default is `en`.","uniqueKey":"payload.oneOf.4.transcriptLanguages","typeLabel":"enum\u003cstring>[]"},"includeMetadata":{"type":"boolean","description":"Whether to include metadata in the ingestion (like video description, tags, category, duration, etc...). Defaults to `false`.","uniqueKey":"payload.oneOf.4.includeMetadata","typeLabel":"boolean"}},"isRequired":true,"uniqueKey":"payload.oneOf.4","typeLabel":"Youtube Payload · object"},{"type":"object","title":"Batch Payload Input","description":"The ingest job payload for creation.","required":["type","items"],"properties":{"type":{"type":"string","const":"BATCH","isRequired":true,"uniqueKey":"payload.oneOf.5.type","typeLabel":"string"},"items":{"minItems":1,"type":"array","items":{"oneOf":[{"type":"object","required":["type","text"],"properties":{"type":{"type":"string","const":"TEXT","isRequired":true,"uniqueKey":"payload.oneOf.5.\\items.items.[INDEX].oneOf.0.type","typeLabel":"string"},"text":{"type":"string","minLength":1,"description":"The text to ingest.","isRequired":true,"uniqueKey":"payload.oneOf.5.\\items.items.[INDEX].oneOf.0.text","typeLabel":"string"},"fileName":{"oneOf":[{"type":"string","description":"The name of the file.","uniqueKey":"payload.oneOf.5.\\items.items.[INDEX].oneOf.0.fileName.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"payload.oneOf.5.\\items.items.[INDEX].oneOf.0.fileName.oneOf.1","typeLabel":"null"}],"uniqueKey":"payload.oneOf.5.\\items.items.[INDEX].oneOf.0.fileName","typeLabel":"string | null"},"config":{"type":"object","properties":{"chunkSize":{"type":"integer","minimum":32,"maximum":9007199254740991,"description":"Chunk size (in characters). Controls approximately how much text is included in each chunk. Defaults to `2048`.","uniqueKey":"payload.oneOf.5.\\items.items.[INDEX].oneOf.0.config.chunkSize","typeLabel":"integer"},"delimiter":{"type":"string","description":"Delimiter to use for separating text before chunking.","uniqueKey":"payload.oneOf.5.\\items.items.[INDEX].oneOf.0.config.delimiter","typeLabel":"string"},"metadata":{"type":"object","propertyNames":{"type":"string"},"additionalProperties":{"oneOf":[{"type":"string","uniqueKey":"payload.oneOf.5.\\items.items.[INDEX].oneOf.0.config.metadata.additionalProperties.oneOf.0","typeLabel":"string"},{"type":"number","uniqueKey":"payload.oneOf.5.\\items.items.[INDEX].oneOf.0.config.metadata.additionalProperties.oneOf.1","typeLabel":"number"},{"type":"boolean","uniqueKey":"payload.oneOf.5.\\items.items.[INDEX].oneOf.0.config.metadata.additionalProperties.oneOf.2","typeLabel":"boolean"},{"type":"array","items":{"type":"string","uniqueKey":"payload.oneOf.5.\\items.items.[INDEX].oneOf.0.config.metadata.additionalProperties.oneOf.3.items.[INDEX]","typeLabel":"string"},"uniqueKey":"payload.oneOf.5.\\items.items.[INDEX].oneOf.0.config.metadata.additionalProperties.oneOf.3","typeLabel":"string[]"}],"uniqueKey":"payload.oneOf.5.\\items.items.[INDEX].oneOf.0.config.metadata.additionalProperties","typeLabel":"string | number | boolean | string[]"},"description":"Custom metadata to be added to the ingested documents. It cannot contain nested objects; only string, number, boolean, and array of strings are allowed.","uniqueKey":"payload.oneOf.5.\\items.items.[INDEX].oneOf.0.config.metadata","typeLabel":"object"},"languageCode":{"type":"string","enum":["af","am","ar","bg","bn","ca","cs","cy","da","de","en","es","et","fa","fi","fr","ga","gl","he","hi","hr","hu","id","is","it","jp","kr","lt","lv","mk","ms","mt","ne","nl","no","pl","pt","ro","ru","sk","sl","sr","sv","sw","ta","te","th","tl","tr","uk","ur","vi","zh","zu"],"description":"Language code to use for text processing (for example, `en`, `ar`, or `fr`). When omitted, the partition API will attempt to detect the language automatically.","uniqueKey":"payload.oneOf.5.\\items.items.[INDEX].oneOf.0.config.languageCode","typeLabel":"enum\u003cstring>"},"mode":{"type":"string","enum":["fast","balanced","accurate"],"description":"Processing mode for the parser. `fast` favors speed, `accurate` (pro subscription only) favors quality and layout fidelity, and `balanced` offers a compromise between the two. Defaults to `balanced`.","uniqueKey":"payload.oneOf.5.\\items.items.[INDEX].oneOf.0.config.mode","typeLabel":"enum\u003cstring>"},"disableImageExtraction":{"type":"boolean","description":"Disable image extraction from the document. When combined with `useLlm`, images may still be automatically captioned by the partition API. Defaults to `false`.","uniqueKey":"payload.oneOf.5.\\items.items.[INDEX].oneOf.0.config.disableImageExtraction","typeLabel":"boolean"},"disableImageCaptions":{"type":"boolean","description":"Disable synthetic image captions/descriptions in output. Images will be rendered as plain img tags without alt text. Defaults to `false`.","uniqueKey":"payload.oneOf.5.\\items.items.[INDEX].oneOf.0.config.disableImageCaptions","typeLabel":"boolean"},"chartUnderstanding":{"type":"boolean","description":"Enable chart understanding. This will extract the data from the charts in the document. Defaults to `false`.","uniqueKey":"payload.oneOf.5.\\items.items.[INDEX].oneOf.0.config.chartUnderstanding","typeLabel":"boolean"},"keepPageheaderInOutput":{"type":"boolean","description":"Keep the page header in the output. Defaults to `false`.","uniqueKey":"payload.oneOf.5.\\items.items.[INDEX].oneOf.0.config.keepPageheaderInOutput","typeLabel":"boolean"},"keepPagefooterInOutput":{"type":"boolean","description":"Keep the page footer in the output. Defaults to `false`.","uniqueKey":"payload.oneOf.5.\\items.items.[INDEX].oneOf.0.config.keepPagefooterInOutput","typeLabel":"boolean"},"forceOcr":{"type":"boolean","description":"Force OCR on the document even if selectable text exists. Useful for scanned documents with unreliable embedded text. Defaults to `false`.","deprecated":true,"x-speakeasy-deprecation-message":"We no longer support this option.","uniqueKey":"payload.oneOf.5.\\items.items.[INDEX].oneOf.0.config.forceOcr","typeLabel":"boolean"},"disableOcrMath":{"type":"boolean","description":"Disable inline math recognition in OCR. This can be useful if the document contains content that is frequently misclassified as math. Defaults to `false`.","deprecated":true,"x-speakeasy-deprecation-message":"We no longer support this option.","uniqueKey":"payload.oneOf.5.\\items.items.[INDEX].oneOf.0.config.disableOcrMath","typeLabel":"boolean"},"useLlm":{"type":"boolean","description":"Enable LLM-assisted parsing to improve tables, forms, inline math, and layout detection. May increase latency and token usage. Defaults to `true`.","deprecated":true,"x-speakeasy-deprecation-message":"We no longer support this option. Use `mode` instead.","uniqueKey":"payload.oneOf.5.\\items.items.[INDEX].oneOf.0.config.useLlm","typeLabel":"boolean"},"chunkOverlap":{"type":"number","description":"[Deprecated] Custom chunk overlap (in characters) between consecutive chunks. Helps preserve context across chunk boundaries.","deprecated":true,"x-speakeasy-deprecation-message":"We no longer support this option. Use `chunkSize` instead.","uniqueKey":"payload.oneOf.5.\\items.items.[INDEX].oneOf.0.config.chunkOverlap","typeLabel":"number"},"maxChunkSize":{"type":"number","description":"[Deprecated] Hard chunk size. This option is ignored by the current partition pipeline and kept only for backwards compatibility.","deprecated":true,"x-speakeasy-deprecation-message":"We no longer support this option. Use `chunkSize` instead.","uniqueKey":"payload.oneOf.5.\\items.items.[INDEX].oneOf.0.config.maxChunkSize","typeLabel":"number"},"chunkingStrategy":{"type":"string","enum":["basic","by_title"],"description":"[Deprecated] The legacy chunking strategy. This option is ignored by the current partition pipeline and kept only for backwards compatibility.","deprecated":true,"x-speakeasy-deprecation-message":"We no longer support this option.","uniqueKey":"payload.oneOf.5.\\items.items.[INDEX].oneOf.0.config.chunkingStrategy","typeLabel":"enum\u003cstring>"},"strategy":{"type":"string","enum":["auto","fast","hi_res","ocr_only"],"description":"[Deprecated] Legacy processing strategy used by the previous partition API. This option is ignored by the current pipeline and kept only for backwards compatibility.","deprecated":true,"x-speakeasy-deprecation-message":"We no longer support this option. Use `mode` instead.","uniqueKey":"payload.oneOf.5.\\items.items.[INDEX].oneOf.0.config.strategy","typeLabel":"enum\u003cstring>"}},"description":"The document config.","uniqueKey":"payload.oneOf.5.\\items.items.[INDEX].oneOf.0.config","typeLabel":"object"}},"uniqueKey":"payload.oneOf.5.\\items.items.[INDEX].oneOf.0","typeLabel":"object"},{"type":"object","required":["type","fileUrl"],"properties":{"type":{"type":"string","const":"FILE","isRequired":true,"uniqueKey":"payload.oneOf.5.\\items.items.[INDEX].oneOf.1.type","typeLabel":"string"},"fileUrl":{"type":"string","format":"uri","description":"The URL of the file to ingest.","isRequired":true,"uniqueKey":"payload.oneOf.5.\\items.items.[INDEX].oneOf.1.fileUrl","typeLabel":"string\u003curi>"},"fileName":{"oneOf":[{"type":"string","description":"The name of the file.","uniqueKey":"payload.oneOf.5.\\items.items.[INDEX].oneOf.1.fileName.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"payload.oneOf.5.\\items.items.[INDEX].oneOf.1.fileName.oneOf.1","typeLabel":"null"}],"uniqueKey":"payload.oneOf.5.\\items.items.[INDEX].oneOf.1.fileName","typeLabel":"string | null"},"config":{"type":"object","properties":{"chunkSize":{"type":"integer","minimum":32,"maximum":9007199254740991,"description":"Chunk size (in characters). Controls approximately how much text is included in each chunk. Defaults to `2048`.","uniqueKey":"payload.oneOf.5.\\items.items.[INDEX].oneOf.1.config.chunkSize","typeLabel":"integer"},"delimiter":{"type":"string","description":"Delimiter to use for separating text before chunking.","uniqueKey":"payload.oneOf.5.\\items.items.[INDEX].oneOf.1.config.delimiter","typeLabel":"string"},"metadata":{"type":"object","propertyNames":{"type":"string"},"additionalProperties":{"oneOf":[{"type":"string","uniqueKey":"payload.oneOf.5.\\items.items.[INDEX].oneOf.1.config.metadata.additionalProperties.oneOf.0","typeLabel":"string"},{"type":"number","uniqueKey":"payload.oneOf.5.\\items.items.[INDEX].oneOf.1.config.metadata.additionalProperties.oneOf.1","typeLabel":"number"},{"type":"boolean","uniqueKey":"payload.oneOf.5.\\items.items.[INDEX].oneOf.1.config.metadata.additionalProperties.oneOf.2","typeLabel":"boolean"},{"type":"array","items":{"type":"string","uniqueKey":"payload.oneOf.5.\\items.items.[INDEX].oneOf.1.config.metadata.additionalProperties.oneOf.3.items.[INDEX]","typeLabel":"string"},"uniqueKey":"payload.oneOf.5.\\items.items.[INDEX].oneOf.1.config.metadata.additionalProperties.oneOf.3","typeLabel":"string[]"}],"uniqueKey":"payload.oneOf.5.\\items.items.[INDEX].oneOf.1.config.metadata.additionalProperties","typeLabel":"string | number | boolean | string[]"},"description":"Custom metadata to be added to the ingested documents. It cannot contain nested objects; only string, number, boolean, and array of strings are allowed.","uniqueKey":"payload.oneOf.5.\\items.items.[INDEX].oneOf.1.config.metadata","typeLabel":"object"},"languageCode":{"type":"string","enum":["af","am","ar","bg","bn","ca","cs","cy","da","de","en","es","et","fa","fi","fr","ga","gl","he","hi","hr","hu","id","is","it","jp","kr","lt","lv","mk","ms","mt","ne","nl","no","pl","pt","ro","ru","sk","sl","sr","sv","sw","ta","te","th","tl","tr","uk","ur","vi","zh","zu"],"description":"Language code to use for text processing (for example, `en`, `ar`, or `fr`). When omitted, the partition API will attempt to detect the language automatically.","uniqueKey":"payload.oneOf.5.\\items.items.[INDEX].oneOf.1.config.languageCode","typeLabel":"enum\u003cstring>"},"mode":{"type":"string","enum":["fast","balanced","accurate"],"description":"Processing mode for the parser. `fast` favors speed, `accurate` (pro subscription only) favors quality and layout fidelity, and `balanced` offers a compromise between the two. Defaults to `balanced`.","uniqueKey":"payload.oneOf.5.\\items.items.[INDEX].oneOf.1.config.mode","typeLabel":"enum\u003cstring>"},"disableImageExtraction":{"type":"boolean","description":"Disable image extraction from the document. When combined with `useLlm`, images may still be automatically captioned by the partition API. Defaults to `false`.","uniqueKey":"payload.oneOf.5.\\items.items.[INDEX].oneOf.1.config.disableImageExtraction","typeLabel":"boolean"},"disableImageCaptions":{"type":"boolean","description":"Disable synthetic image captions/descriptions in output. Images will be rendered as plain img tags without alt text. Defaults to `false`.","uniqueKey":"payload.oneOf.5.\\items.items.[INDEX].oneOf.1.config.disableImageCaptions","typeLabel":"boolean"},"chartUnderstanding":{"type":"boolean","description":"Enable chart understanding. This will extract the data from the charts in the document. Defaults to `false`.","uniqueKey":"payload.oneOf.5.\\items.items.[INDEX].oneOf.1.config.chartUnderstanding","typeLabel":"boolean"},"keepPageheaderInOutput":{"type":"boolean","description":"Keep the page header in the output. Defaults to `false`.","uniqueKey":"payload.oneOf.5.\\items.items.[INDEX].oneOf.1.config.keepPageheaderInOutput","typeLabel":"boolean"},"keepPagefooterInOutput":{"type":"boolean","description":"Keep the page footer in the output. Defaults to `false`.","uniqueKey":"payload.oneOf.5.\\items.items.[INDEX].oneOf.1.config.keepPagefooterInOutput","typeLabel":"boolean"},"forceOcr":{"type":"boolean","description":"Force OCR on the document even if selectable text exists. Useful for scanned documents with unreliable embedded text. Defaults to `false`.","deprecated":true,"x-speakeasy-deprecation-message":"We no longer support this option.","uniqueKey":"payload.oneOf.5.\\items.items.[INDEX].oneOf.1.config.forceOcr","typeLabel":"boolean"},"disableOcrMath":{"type":"boolean","description":"Disable inline math recognition in OCR. This can be useful if the document contains content that is frequently misclassified as math. Defaults to `false`.","deprecated":true,"x-speakeasy-deprecation-message":"We no longer support this option.","uniqueKey":"payload.oneOf.5.\\items.items.[INDEX].oneOf.1.config.disableOcrMath","typeLabel":"boolean"},"useLlm":{"type":"boolean","description":"Enable LLM-assisted parsing to improve tables, forms, inline math, and layout detection. May increase latency and token usage. Defaults to `true`.","deprecated":true,"x-speakeasy-deprecation-message":"We no longer support this option. Use `mode` instead.","uniqueKey":"payload.oneOf.5.\\items.items.[INDEX].oneOf.1.config.useLlm","typeLabel":"boolean"},"chunkOverlap":{"type":"number","description":"[Deprecated] Custom chunk overlap (in characters) between consecutive chunks. Helps preserve context across chunk boundaries.","deprecated":true,"x-speakeasy-deprecation-message":"We no longer support this option. Use `chunkSize` instead.","uniqueKey":"payload.oneOf.5.\\items.items.[INDEX].oneOf.1.config.chunkOverlap","typeLabel":"number"},"maxChunkSize":{"type":"number","description":"[Deprecated] Hard chunk size. This option is ignored by the current partition pipeline and kept only for backwards compatibility.","deprecated":true,"x-speakeasy-deprecation-message":"We no longer support this option. Use `chunkSize` instead.","uniqueKey":"payload.oneOf.5.\\items.items.[INDEX].oneOf.1.config.maxChunkSize","typeLabel":"number"},"chunkingStrategy":{"type":"string","enum":["basic","by_title"],"description":"[Deprecated] The legacy chunking strategy. This option is ignored by the current partition pipeline and kept only for backwards compatibility.","deprecated":true,"x-speakeasy-deprecation-message":"We no longer support this option.","uniqueKey":"payload.oneOf.5.\\items.items.[INDEX].oneOf.1.config.chunkingStrategy","typeLabel":"enum\u003cstring>"},"strategy":{"type":"string","enum":["auto","fast","hi_res","ocr_only"],"description":"[Deprecated] Legacy processing strategy used by the previous partition API. This option is ignored by the current pipeline and kept only for backwards compatibility.","deprecated":true,"x-speakeasy-deprecation-message":"We no longer support this option. Use `mode` instead.","uniqueKey":"payload.oneOf.5.\\items.items.[INDEX].oneOf.1.config.strategy","typeLabel":"enum\u003cstring>"}},"description":"The document config.","uniqueKey":"payload.oneOf.5.\\items.items.[INDEX].oneOf.1.config","typeLabel":"object"}},"uniqueKey":"payload.oneOf.5.\\items.items.[INDEX].oneOf.1","typeLabel":"object"},{"type":"object","required":["type","key"],"properties":{"type":{"type":"string","const":"MANAGED_FILE","isRequired":true,"uniqueKey":"payload.oneOf.5.\\items.items.[INDEX].oneOf.2.type","typeLabel":"string"},"key":{"type":"string","description":"The key of the managed file to ingest.","isRequired":true,"uniqueKey":"payload.oneOf.5.\\items.items.[INDEX].oneOf.2.key","typeLabel":"string"},"fileName":{"oneOf":[{"type":"string","description":"The name of the file.","uniqueKey":"payload.oneOf.5.\\items.items.[INDEX].oneOf.2.fileName.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"payload.oneOf.5.\\items.items.[INDEX].oneOf.2.fileName.oneOf.1","typeLabel":"null"}],"uniqueKey":"payload.oneOf.5.\\items.items.[INDEX].oneOf.2.fileName","typeLabel":"string | null"},"config":{"type":"object","properties":{"chunkSize":{"type":"integer","minimum":32,"maximum":9007199254740991,"description":"Chunk size (in characters). Controls approximately how much text is included in each chunk. Defaults to `2048`.","uniqueKey":"payload.oneOf.5.\\items.items.[INDEX].oneOf.2.config.chunkSize","typeLabel":"integer"},"delimiter":{"type":"string","description":"Delimiter to use for separating text before chunking.","uniqueKey":"payload.oneOf.5.\\items.items.[INDEX].oneOf.2.config.delimiter","typeLabel":"string"},"metadata":{"type":"object","propertyNames":{"type":"string"},"additionalProperties":{"oneOf":[{"type":"string","uniqueKey":"payload.oneOf.5.\\items.items.[INDEX].oneOf.2.config.metadata.additionalProperties.oneOf.0","typeLabel":"string"},{"type":"number","uniqueKey":"payload.oneOf.5.\\items.items.[INDEX].oneOf.2.config.metadata.additionalProperties.oneOf.1","typeLabel":"number"},{"type":"boolean","uniqueKey":"payload.oneOf.5.\\items.items.[INDEX].oneOf.2.config.metadata.additionalProperties.oneOf.2","typeLabel":"boolean"},{"type":"array","items":{"type":"string","uniqueKey":"payload.oneOf.5.\\items.items.[INDEX].oneOf.2.config.metadata.additionalProperties.oneOf.3.items.[INDEX]","typeLabel":"string"},"uniqueKey":"payload.oneOf.5.\\items.items.[INDEX].oneOf.2.config.metadata.additionalProperties.oneOf.3","typeLabel":"string[]"}],"uniqueKey":"payload.oneOf.5.\\items.items.[INDEX].oneOf.2.config.metadata.additionalProperties","typeLabel":"string | number | boolean | string[]"},"description":"Custom metadata to be added to the ingested documents. It cannot contain nested objects; only string, number, boolean, and array of strings are allowed.","uniqueKey":"payload.oneOf.5.\\items.items.[INDEX].oneOf.2.config.metadata","typeLabel":"object"},"languageCode":{"type":"string","enum":["af","am","ar","bg","bn","ca","cs","cy","da","de","en","es","et","fa","fi","fr","ga","gl","he","hi","hr","hu","id","is","it","jp","kr","lt","lv","mk","ms","mt","ne","nl","no","pl","pt","ro","ru","sk","sl","sr","sv","sw","ta","te","th","tl","tr","uk","ur","vi","zh","zu"],"description":"Language code to use for text processing (for example, `en`, `ar`, or `fr`). When omitted, the partition API will attempt to detect the language automatically.","uniqueKey":"payload.oneOf.5.\\items.items.[INDEX].oneOf.2.config.languageCode","typeLabel":"enum\u003cstring>"},"mode":{"type":"string","enum":["fast","balanced","accurate"],"description":"Processing mode for the parser. `fast` favors speed, `accurate` (pro subscription only) favors quality and layout fidelity, and `balanced` offers a compromise between the two. Defaults to `balanced`.","uniqueKey":"payload.oneOf.5.\\items.items.[INDEX].oneOf.2.config.mode","typeLabel":"enum\u003cstring>"},"disableImageExtraction":{"type":"boolean","description":"Disable image extraction from the document. When combined with `useLlm`, images may still be automatically captioned by the partition API. Defaults to `false`.","uniqueKey":"payload.oneOf.5.\\items.items.[INDEX].oneOf.2.config.disableImageExtraction","typeLabel":"boolean"},"disableImageCaptions":{"type":"boolean","description":"Disable synthetic image captions/descriptions in output. Images will be rendered as plain img tags without alt text. Defaults to `false`.","uniqueKey":"payload.oneOf.5.\\items.items.[INDEX].oneOf.2.config.disableImageCaptions","typeLabel":"boolean"},"chartUnderstanding":{"type":"boolean","description":"Enable chart understanding. This will extract the data from the charts in the document. Defaults to `false`.","uniqueKey":"payload.oneOf.5.\\items.items.[INDEX].oneOf.2.config.chartUnderstanding","typeLabel":"boolean"},"keepPageheaderInOutput":{"type":"boolean","description":"Keep the page header in the output. Defaults to `false`.","uniqueKey":"payload.oneOf.5.\\items.items.[INDEX].oneOf.2.config.keepPageheaderInOutput","typeLabel":"boolean"},"keepPagefooterInOutput":{"type":"boolean","description":"Keep the page footer in the output. Defaults to `false`.","uniqueKey":"payload.oneOf.5.\\items.items.[INDEX].oneOf.2.config.keepPagefooterInOutput","typeLabel":"boolean"},"forceOcr":{"type":"boolean","description":"Force OCR on the document even if selectable text exists. Useful for scanned documents with unreliable embedded text. Defaults to `false`.","deprecated":true,"x-speakeasy-deprecation-message":"We no longer support this option.","uniqueKey":"payload.oneOf.5.\\items.items.[INDEX].oneOf.2.config.forceOcr","typeLabel":"boolean"},"disableOcrMath":{"type":"boolean","description":"Disable inline math recognition in OCR. This can be useful if the document contains content that is frequently misclassified as math. Defaults to `false`.","deprecated":true,"x-speakeasy-deprecation-message":"We no longer support this option.","uniqueKey":"payload.oneOf.5.\\items.items.[INDEX].oneOf.2.config.disableOcrMath","typeLabel":"boolean"},"useLlm":{"type":"boolean","description":"Enable LLM-assisted parsing to improve tables, forms, inline math, and layout detection. May increase latency and token usage. Defaults to `true`.","deprecated":true,"x-speakeasy-deprecation-message":"We no longer support this option. Use `mode` instead.","uniqueKey":"payload.oneOf.5.\\items.items.[INDEX].oneOf.2.config.useLlm","typeLabel":"boolean"},"chunkOverlap":{"type":"number","description":"[Deprecated] Custom chunk overlap (in characters) between consecutive chunks. Helps preserve context across chunk boundaries.","deprecated":true,"x-speakeasy-deprecation-message":"We no longer support this option. Use `chunkSize` instead.","uniqueKey":"payload.oneOf.5.\\items.items.[INDEX].oneOf.2.config.chunkOverlap","typeLabel":"number"},"maxChunkSize":{"type":"number","description":"[Deprecated] Hard chunk size. This option is ignored by the current partition pipeline and kept only for backwards compatibility.","deprecated":true,"x-speakeasy-deprecation-message":"We no longer support this option. Use `chunkSize` instead.","uniqueKey":"payload.oneOf.5.\\items.items.[INDEX].oneOf.2.config.maxChunkSize","typeLabel":"number"},"chunkingStrategy":{"type":"string","enum":["basic","by_title"],"description":"[Deprecated] The legacy chunking strategy. This option is ignored by the current partition pipeline and kept only for backwards compatibility.","deprecated":true,"x-speakeasy-deprecation-message":"We no longer support this option.","uniqueKey":"payload.oneOf.5.\\items.items.[INDEX].oneOf.2.config.chunkingStrategy","typeLabel":"enum\u003cstring>"},"strategy":{"type":"string","enum":["auto","fast","hi_res","ocr_only"],"description":"[Deprecated] Legacy processing strategy used by the previous partition API. This option is ignored by the current pipeline and kept only for backwards compatibility.","deprecated":true,"x-speakeasy-deprecation-message":"We no longer support this option. Use `mode` instead.","uniqueKey":"payload.oneOf.5.\\items.items.[INDEX].oneOf.2.config.strategy","typeLabel":"enum\u003cstring>"}},"description":"The document config.","uniqueKey":"payload.oneOf.5.\\items.items.[INDEX].oneOf.2.config","typeLabel":"object"}},"uniqueKey":"payload.oneOf.5.\\items.items.[INDEX].oneOf.2","typeLabel":"object"}],"uniqueKey":"payload.oneOf.5.\\items.items.[INDEX]","typeLabel":"object"},"description":"The items to ingest.","isRequired":true,"uniqueKey":"payload.oneOf.5.\\items","typeLabel":"object[]"}},"isRequired":true,"uniqueKey":"payload.oneOf.5","typeLabel":"Batch Payload Input · object"}],"isRequired":true,"uniqueKey":"payload","typeLabel":"Text Payload · object | URL Payload · object | Managed File Payload · object | Crawl Payload · object | Youtube Payload · object | Batch Payload Input · object"},"name":{"oneOf":[{"type":"string","description":"The name of the ingest job.","uniqueKey":"name.oneOf.0","typeLabel":"string"},{"type":"null","description":"The name of the ingest job.","uniqueKey":"name.oneOf.1","typeLabel":"null"}],"uniqueKey":"name","typeLabel":"string | null"},"config":{"type":"object","properties":{"chunkSize":{"type":"integer","minimum":32,"maximum":9007199254740991,"description":"Chunk size (in characters). Controls approximately how much text is included in each chunk. Defaults to `2048`.","uniqueKey":"config.chunkSize","typeLabel":"integer"},"delimiter":{"type":"string","description":"Delimiter to use for separating text before chunking.","uniqueKey":"config.delimiter","typeLabel":"string"},"metadata":{"type":"object","propertyNames":{"type":"string"},"additionalProperties":{"oneOf":[{"type":"string","uniqueKey":"config.metadata.additionalProperties.oneOf.0","typeLabel":"string"},{"type":"number","uniqueKey":"config.metadata.additionalProperties.oneOf.1","typeLabel":"number"},{"type":"boolean","uniqueKey":"config.metadata.additionalProperties.oneOf.2","typeLabel":"boolean"},{"type":"array","items":{"type":"string","uniqueKey":"config.metadata.additionalProperties.oneOf.3.items.[INDEX]","typeLabel":"string"},"uniqueKey":"config.metadata.additionalProperties.oneOf.3","typeLabel":"string[]"}],"uniqueKey":"config.metadata.additionalProperties","typeLabel":"string | number | boolean | string[]"},"description":"Custom metadata to be added to the ingested documents. It cannot contain nested objects; only string, number, boolean, and array of strings are allowed.","uniqueKey":"config.metadata","typeLabel":"object"},"languageCode":{"type":"string","enum":["af","am","ar","bg","bn","ca","cs","cy","da","de","en","es","et","fa","fi","fr","ga","gl","he","hi","hr","hu","id","is","it","jp","kr","lt","lv","mk","ms","mt","ne","nl","no","pl","pt","ro","ru","sk","sl","sr","sv","sw","ta","te","th","tl","tr","uk","ur","vi","zh","zu"],"description":"Language code to use for text processing (for example, `en`, `ar`, or `fr`). When omitted, the partition API will attempt to detect the language automatically.","uniqueKey":"config.languageCode","typeLabel":"enum\u003cstring>"},"mode":{"type":"string","enum":["fast","balanced","accurate"],"description":"Processing mode for the parser. `fast` favors speed, `accurate` (pro subscription only) favors quality and layout fidelity, and `balanced` offers a compromise between the two. Defaults to `balanced`.","uniqueKey":"config.mode","typeLabel":"enum\u003cstring>"},"disableImageExtraction":{"type":"boolean","description":"Disable image extraction from the document. When combined with `useLlm`, images may still be automatically captioned by the partition API. Defaults to `false`.","uniqueKey":"config.disableImageExtraction","typeLabel":"boolean"},"disableImageCaptions":{"type":"boolean","description":"Disable synthetic image captions/descriptions in output. Images will be rendered as plain img tags without alt text. Defaults to `false`.","uniqueKey":"config.disableImageCaptions","typeLabel":"boolean"},"chartUnderstanding":{"type":"boolean","description":"Enable chart understanding. This will extract the data from the charts in the document. Defaults to `false`.","uniqueKey":"config.chartUnderstanding","typeLabel":"boolean"},"keepPageheaderInOutput":{"type":"boolean","description":"Keep the page header in the output. Defaults to `false`.","uniqueKey":"config.keepPageheaderInOutput","typeLabel":"boolean"},"keepPagefooterInOutput":{"type":"boolean","description":"Keep the page footer in the output. Defaults to `false`.","uniqueKey":"config.keepPagefooterInOutput","typeLabel":"boolean"},"forceOcr":{"type":"boolean","description":"Force OCR on the document even if selectable text exists. Useful for scanned documents with unreliable embedded text. Defaults to `false`.","deprecated":true,"x-speakeasy-deprecation-message":"We no longer support this option.","uniqueKey":"config.forceOcr","typeLabel":"boolean"},"disableOcrMath":{"type":"boolean","description":"Disable inline math recognition in OCR. This can be useful if the document contains content that is frequently misclassified as math. Defaults to `false`.","deprecated":true,"x-speakeasy-deprecation-message":"We no longer support this option.","uniqueKey":"config.disableOcrMath","typeLabel":"boolean"},"useLlm":{"type":"boolean","description":"Enable LLM-assisted parsing to improve tables, forms, inline math, and layout detection. May increase latency and token usage. Defaults to `true`.","deprecated":true,"x-speakeasy-deprecation-message":"We no longer support this option. Use `mode` instead.","uniqueKey":"config.useLlm","typeLabel":"boolean"},"chunkOverlap":{"type":"number","description":"[Deprecated] Custom chunk overlap (in characters) between consecutive chunks. Helps preserve context across chunk boundaries.","deprecated":true,"x-speakeasy-deprecation-message":"We no longer support this option. Use `chunkSize` instead.","uniqueKey":"config.chunkOverlap","typeLabel":"number"},"maxChunkSize":{"type":"number","description":"[Deprecated] Hard chunk size. This option is ignored by the current partition pipeline and kept only for backwards compatibility.","deprecated":true,"x-speakeasy-deprecation-message":"We no longer support this option. Use `chunkSize` instead.","uniqueKey":"config.maxChunkSize","typeLabel":"number"},"chunkingStrategy":{"type":"string","enum":["basic","by_title"],"description":"[Deprecated] The legacy chunking strategy. This option is ignored by the current partition pipeline and kept only for backwards compatibility.","deprecated":true,"x-speakeasy-deprecation-message":"We no longer support this option.","uniqueKey":"config.chunkingStrategy","typeLabel":"enum\u003cstring>"},"strategy":{"type":"string","enum":["auto","fast","hi_res","ocr_only"],"description":"[Deprecated] Legacy processing strategy used by the previous partition API. This option is ignored by the current pipeline and kept only for backwards compatibility.","deprecated":true,"x-speakeasy-deprecation-message":"We no longer support this option. Use `mode` instead.","uniqueKey":"config.strategy","typeLabel":"enum\u003cstring>"}},"description":"The ingest job config.","uniqueKey":"config","typeLabel":"object"},"externalId":{"oneOf":[{"type":"string","description":"A unique external ID of the ingest job. You can use this to identify the ingest job in your system.","uniqueKey":"externalId.oneOf.0","typeLabel":"string"},{"type":"null","description":"A unique external ID of the ingest job. You can use this to identify the ingest job in your system.","uniqueKey":"externalId.oneOf.1","typeLabel":"null"}],"uniqueKey":"externalId","typeLabel":"string | null"}},"required":["payload"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"payload":{"type":"TEXT","text":"\u003cstring>","fileName":"\u003cstring>"},"name":"\u003cstring>","config":{"chunkSize":4503599627370512,"delimiter":"\u003cstring>","metadata":{},"disableImageExtraction":true,"disableImageCaptions":true,"chartUnderstanding":true,"keepPageheaderInOutput":true,"keepPagefooterInOutput":true,"forceOcr":true,"disableOcrMath":true,"useLlm":true,"chunkOverlap":123,"maxChunkSize":123},"externalId":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"},"responses":{"0e46dbf4-f1a3-4946-8ccf-9d38c3c2e965":{"description":"The created ingest job","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","const":true,"isRequired":true,"uniqueKey":"success","typeLabel":"boolean"},"data":{"type":"object","properties":{"id":{"type":"string","description":"The unique ID of the ingest job.","isRequired":true,"uniqueKey":"data.id","typeLabel":"string"},"namespaceId":{"type":"string","description":"The namespace ID of the ingest job.","isRequired":true,"uniqueKey":"data.namespaceId","typeLabel":"string"},"tenantId":{"oneOf":[{"type":"string","description":"The tenant ID of the ingest job.","isRequired":true,"uniqueKey":"data.tenantId.oneOf.0","typeLabel":"string"},{"type":"null","description":"The tenant ID of the ingest job.","isRequired":true,"uniqueKey":"data.tenantId.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.tenantId","typeLabel":"string | null"},"externalId":{"oneOf":[{"type":"string","description":"A unique external ID of the ingest job. You can use this to identify the ingest job in your system.","isRequired":true,"uniqueKey":"data.externalId.oneOf.0","typeLabel":"string"},{"type":"null","description":"A unique external ID of the ingest job. You can use this to identify the ingest job in your system.","isRequired":true,"uniqueKey":"data.externalId.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.externalId","typeLabel":"string | null"},"status":{"type":"string","enum":["BACKLOG","QUEUED","QUEUED_FOR_RESYNC","QUEUED_FOR_DELETE","PRE_PROCESSING","PROCESSING","DELETING","CANCELLING","COMPLETED","FAILED","CANCELLED"],"description":"The status of the ingest job.","isRequired":true,"uniqueKey":"data.status","typeLabel":"enum\u003cstring>"},"error":{"oneOf":[{"type":"string","description":"The error message of the ingest job. Only exists when the status is failed.","isRequired":true,"uniqueKey":"data.error.oneOf.0","typeLabel":"string"},{"type":"null","description":"The error message of the ingest job. Only exists when the status is failed.","isRequired":true,"uniqueKey":"data.error.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.error","typeLabel":"string | null"},"payload":{"oneOf":[{"type":"object","title":"Text Payload","description":"The ingest job payload.","required":["type","text"],"properties":{"type":{"type":"string","const":"TEXT","isRequired":true,"uniqueKey":"data.payload.oneOf.0.type","typeLabel":"string"},"text":{"type":"string","description":"The text to ingest.","isRequired":true,"uniqueKey":"data.payload.oneOf.0.text","typeLabel":"string"},"fileName":{"oneOf":[{"type":"string","description":"The name of the file.","uniqueKey":"data.payload.oneOf.0.fileName.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"data.payload.oneOf.0.fileName.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.payload.oneOf.0.fileName","typeLabel":"string | null"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"data.payload.oneOf.0","typeLabel":"Text Payload · object"},{"type":"object","title":"URL Payload","description":"The ingest job payload.","required":["type","fileUrl"],"properties":{"type":{"type":"string","const":"FILE","isRequired":true,"uniqueKey":"data.payload.oneOf.1.type","typeLabel":"string"},"fileUrl":{"type":"string","format":"uri","description":"The URL of the file to ingest.","isRequired":true,"uniqueKey":"data.payload.oneOf.1.fileUrl","typeLabel":"string\u003curi>"},"fileName":{"oneOf":[{"type":"string","description":"The name of the file.","uniqueKey":"data.payload.oneOf.1.fileName.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"data.payload.oneOf.1.fileName.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.payload.oneOf.1.fileName","typeLabel":"string | null"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"data.payload.oneOf.1","typeLabel":"URL Payload · object"},{"type":"object","title":"Managed File Payload","description":"The ingest job payload.","required":["type","key"],"properties":{"type":{"type":"string","const":"MANAGED_FILE","isRequired":true,"uniqueKey":"data.payload.oneOf.2.type","typeLabel":"string"},"key":{"type":"string","description":"The key of the managed file to ingest.","isRequired":true,"uniqueKey":"data.payload.oneOf.2.key","typeLabel":"string"},"fileName":{"oneOf":[{"type":"string","description":"The name of the file.","uniqueKey":"data.payload.oneOf.2.fileName.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"data.payload.oneOf.2.fileName.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.payload.oneOf.2.fileName","typeLabel":"string | null"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"data.payload.oneOf.2","typeLabel":"Managed File Payload · object"},{"type":"object","title":"Crawl Payload","description":"The ingest job payload.","required":["type","url"],"properties":{"type":{"type":"string","const":"CRAWL","isRequired":true,"uniqueKey":"data.payload.oneOf.3.type","typeLabel":"string"},"url":{"type":"string","format":"uri","description":"The starting URL to crawl.","isRequired":true,"uniqueKey":"data.payload.oneOf.3.url","typeLabel":"string\u003curi>"},"maxDepth":{"type":"integer","minimum":1,"maximum":9007199254740991,"description":"Maximum depth to follow links from the starting URL. Depth 1 means only the initial page. Defaults to `5`.","uniqueKey":"data.payload.oneOf.3.maxDepth","typeLabel":"integer"},"limit":{"type":"integer","minimum":1,"maximum":9007199254740991,"description":"Maximum number of pages to crawl before stopping. Helps bound large sites. Defaults to `50`.","uniqueKey":"data.payload.oneOf.3.limit","typeLabel":"integer"},"includePaths":{"type":"array","items":{"type":"string","uniqueKey":"data.payload.oneOf.3.includePaths.items.[INDEX]","typeLabel":"string"},"description":"Only crawl URLs whose path matches at least one of these prefixes.","uniqueKey":"data.payload.oneOf.3.includePaths","typeLabel":"string[]"},"excludePaths":{"type":"array","items":{"type":"string","uniqueKey":"data.payload.oneOf.3.excludePaths.items.[INDEX]","typeLabel":"string"},"description":"Never crawl URLs whose path matches these prefixes.","uniqueKey":"data.payload.oneOf.3.excludePaths","typeLabel":"string[]"},"headers":{"type":"object","propertyNames":{"type":"string"},"additionalProperties":{"type":"string","uniqueKey":"data.payload.oneOf.3.headers.additionalProperties","typeLabel":"string"},"description":"Custom HTTP headers to send with crawl requests (for example, auth headers).","uniqueKey":"data.payload.oneOf.3.headers","typeLabel":"object"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"data.payload.oneOf.3","typeLabel":"Crawl Payload · object"},{"type":"object","title":"Youtube Payload","description":"The ingest job payload.","required":["type","urls"],"properties":{"type":{"type":"string","const":"YOUTUBE","isRequired":true,"uniqueKey":"data.payload.oneOf.4.type","typeLabel":"string"},"urls":{"minItems":1,"type":"array","items":{"type":"string","format":"uri","uniqueKey":"data.payload.oneOf.4.urls.items.[INDEX]","typeLabel":"string\u003curi>"},"description":"The URLs of videos, channels, or playlists (hostname must be www.youtube.com or youtu.be).","isRequired":true,"uniqueKey":"data.payload.oneOf.4.urls","typeLabel":"string\u003curi>[]"},"transcriptLanguages":{"type":"array","items":{"type":"string","enum":["af","am","ar","bg","bn","ca","cs","cy","da","de","en","es","et","fa","fi","fr","ga","gl","he","hi","hr","hu","id","is","it","jp","kr","lt","lv","mk","ms","mt","ne","nl","no","pl","pt","ro","ru","sk","sl","sr","sv","sw","ta","te","th","tl","tr","uk","ur","vi","zh","zu"],"uniqueKey":"data.payload.oneOf.4.transcriptLanguages.items.[INDEX]","typeLabel":"enum\u003cstring>"},"description":"We will try to fetch the first available transcript in the given languages. Default is `en`.","uniqueKey":"data.payload.oneOf.4.transcriptLanguages","typeLabel":"enum\u003cstring>[]"},"includeMetadata":{"type":"boolean","description":"Whether to include metadata in the ingestion (like video description, tags, category, duration, etc...). Defaults to `false`.","uniqueKey":"data.payload.oneOf.4.includeMetadata","typeLabel":"boolean"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"data.payload.oneOf.4","typeLabel":"Youtube Payload · object"},{"type":"object","title":"Batch Payload","description":"The ingest job payload.","required":["type","items"],"properties":{"type":{"type":"string","const":"BATCH","isRequired":true,"uniqueKey":"data.payload.oneOf.5.type","typeLabel":"string"},"items":{"minItems":1,"type":"array","items":{"oneOf":[{"type":"object","required":["type","text"],"properties":{"type":{"type":"string","const":"TEXT","isRequired":true,"uniqueKey":"data.payload.oneOf.5.\\items.items.[INDEX].oneOf.0.type","typeLabel":"string"},"text":{"type":"string","description":"The text to ingest.","isRequired":true,"uniqueKey":"data.payload.oneOf.5.\\items.items.[INDEX].oneOf.0.text","typeLabel":"string"},"fileName":{"oneOf":[{"type":"string","description":"The name of the file.","uniqueKey":"data.payload.oneOf.5.\\items.items.[INDEX].oneOf.0.fileName.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"data.payload.oneOf.5.\\items.items.[INDEX].oneOf.0.fileName.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.payload.oneOf.5.\\items.items.[INDEX].oneOf.0.fileName","typeLabel":"string | null"},"config":{"type":"object","properties":{"chunkSize":{"type":"integer","minimum":32,"maximum":9007199254740991,"description":"Chunk size (in characters). Controls approximately how much text is included in each chunk. Defaults to `2048`.","uniqueKey":"data.payload.oneOf.5.\\items.items.[INDEX].oneOf.0.config.chunkSize","typeLabel":"integer"},"delimiter":{"type":"string","description":"Delimiter to use for separating text before chunking.","uniqueKey":"data.payload.oneOf.5.\\items.items.[INDEX].oneOf.0.config.delimiter","typeLabel":"string"},"metadata":{"type":"object","propertyNames":{"type":"string"},"additionalProperties":{"oneOf":[{"type":"string","uniqueKey":"data.payload.oneOf.5.\\items.items.[INDEX].oneOf.0.config.metadata.additionalProperties.oneOf.0","typeLabel":"string"},{"type":"number","uniqueKey":"data.payload.oneOf.5.\\items.items.[INDEX].oneOf.0.config.metadata.additionalProperties.oneOf.1","typeLabel":"number"},{"type":"boolean","uniqueKey":"data.payload.oneOf.5.\\items.items.[INDEX].oneOf.0.config.metadata.additionalProperties.oneOf.2","typeLabel":"boolean"},{"type":"array","items":{"type":"string","uniqueKey":"data.payload.oneOf.5.\\items.items.[INDEX].oneOf.0.config.metadata.additionalProperties.oneOf.3.items.[INDEX]","typeLabel":"string"},"uniqueKey":"data.payload.oneOf.5.\\items.items.[INDEX].oneOf.0.config.metadata.additionalProperties.oneOf.3","typeLabel":"string[]"}],"uniqueKey":"data.payload.oneOf.5.\\items.items.[INDEX].oneOf.0.config.metadata.additionalProperties","typeLabel":"string | number | boolean | string[]"},"description":"Custom metadata to be added to the ingested documents. It cannot contain nested objects; only string, number, boolean, and array of strings are allowed.","uniqueKey":"data.payload.oneOf.5.\\items.items.[INDEX].oneOf.0.config.metadata","typeLabel":"object"},"languageCode":{"type":"string","enum":["af","am","ar","bg","bn","ca","cs","cy","da","de","en","es","et","fa","fi","fr","ga","gl","he","hi","hr","hu","id","is","it","jp","kr","lt","lv","mk","ms","mt","ne","nl","no","pl","pt","ro","ru","sk","sl","sr","sv","sw","ta","te","th","tl","tr","uk","ur","vi","zh","zu"],"description":"Language code to use for text processing (for example, `en`, `ar`, or `fr`). When omitted, the partition API will attempt to detect the language automatically.","uniqueKey":"data.payload.oneOf.5.\\items.items.[INDEX].oneOf.0.config.languageCode","typeLabel":"enum\u003cstring>"},"mode":{"type":"string","enum":["fast","balanced","accurate"],"description":"Processing mode for the parser. `fast` favors speed, `accurate` (pro subscription only) favors quality and layout fidelity, and `balanced` offers a compromise between the two. Defaults to `balanced`.","uniqueKey":"data.payload.oneOf.5.\\items.items.[INDEX].oneOf.0.config.mode","typeLabel":"enum\u003cstring>"},"disableImageExtraction":{"type":"boolean","description":"Disable image extraction from the document. When combined with `useLlm`, images may still be automatically captioned by the partition API. Defaults to `false`.","uniqueKey":"data.payload.oneOf.5.\\items.items.[INDEX].oneOf.0.config.disableImageExtraction","typeLabel":"boolean"},"disableImageCaptions":{"type":"boolean","description":"Disable synthetic image captions/descriptions in output. Images will be rendered as plain img tags without alt text. Defaults to `false`.","uniqueKey":"data.payload.oneOf.5.\\items.items.[INDEX].oneOf.0.config.disableImageCaptions","typeLabel":"boolean"},"chartUnderstanding":{"type":"boolean","description":"Enable chart understanding. This will extract the data from the charts in the document. Defaults to `false`.","uniqueKey":"data.payload.oneOf.5.\\items.items.[INDEX].oneOf.0.config.chartUnderstanding","typeLabel":"boolean"},"keepPageheaderInOutput":{"type":"boolean","description":"Keep the page header in the output. Defaults to `false`.","uniqueKey":"data.payload.oneOf.5.\\items.items.[INDEX].oneOf.0.config.keepPageheaderInOutput","typeLabel":"boolean"},"keepPagefooterInOutput":{"type":"boolean","description":"Keep the page footer in the output. Defaults to `false`.","uniqueKey":"data.payload.oneOf.5.\\items.items.[INDEX].oneOf.0.config.keepPagefooterInOutput","typeLabel":"boolean"},"forceOcr":{"type":"boolean","description":"Force OCR on the document even if selectable text exists. Useful for scanned documents with unreliable embedded text. Defaults to `false`.","deprecated":true,"x-speakeasy-deprecation-message":"We no longer support this option.","uniqueKey":"data.payload.oneOf.5.\\items.items.[INDEX].oneOf.0.config.forceOcr","typeLabel":"boolean"},"disableOcrMath":{"type":"boolean","description":"Disable inline math recognition in OCR. This can be useful if the document contains content that is frequently misclassified as math. Defaults to `false`.","deprecated":true,"x-speakeasy-deprecation-message":"We no longer support this option.","uniqueKey":"data.payload.oneOf.5.\\items.items.[INDEX].oneOf.0.config.disableOcrMath","typeLabel":"boolean"},"useLlm":{"type":"boolean","description":"Enable LLM-assisted parsing to improve tables, forms, inline math, and layout detection. May increase latency and token usage. Defaults to `true`.","deprecated":true,"x-speakeasy-deprecation-message":"We no longer support this option. Use `mode` instead.","uniqueKey":"data.payload.oneOf.5.\\items.items.[INDEX].oneOf.0.config.useLlm","typeLabel":"boolean"},"chunkOverlap":{"type":"number","description":"[Deprecated] Custom chunk overlap (in characters) between consecutive chunks. Helps preserve context across chunk boundaries.","deprecated":true,"x-speakeasy-deprecation-message":"We no longer support this option. Use `chunkSize` instead.","uniqueKey":"data.payload.oneOf.5.\\items.items.[INDEX].oneOf.0.config.chunkOverlap","typeLabel":"number"},"maxChunkSize":{"type":"number","description":"[Deprecated] Hard chunk size. This option is ignored by the current partition pipeline and kept only for backwards compatibility.","deprecated":true,"x-speakeasy-deprecation-message":"We no longer support this option. Use `chunkSize` instead.","uniqueKey":"data.payload.oneOf.5.\\items.items.[INDEX].oneOf.0.config.maxChunkSize","typeLabel":"number"},"chunkingStrategy":{"type":"string","enum":["basic","by_title"],"description":"[Deprecated] The legacy chunking strategy. This option is ignored by the current partition pipeline and kept only for backwards compatibility.","deprecated":true,"x-speakeasy-deprecation-message":"We no longer support this option.","uniqueKey":"data.payload.oneOf.5.\\items.items.[INDEX].oneOf.0.config.chunkingStrategy","typeLabel":"enum\u003cstring>"},"strategy":{"type":"string","enum":["auto","fast","hi_res","ocr_only"],"description":"[Deprecated] Legacy processing strategy used by the previous partition API. This option is ignored by the current pipeline and kept only for backwards compatibility.","deprecated":true,"x-speakeasy-deprecation-message":"We no longer support this option. Use `mode` instead.","uniqueKey":"data.payload.oneOf.5.\\items.items.[INDEX].oneOf.0.config.strategy","typeLabel":"enum\u003cstring>"}},"additionalProperties":false,"description":"The document config.","uniqueKey":"data.payload.oneOf.5.\\items.items.[INDEX].oneOf.0.config","typeLabel":"object"}},"additionalProperties":false,"uniqueKey":"data.payload.oneOf.5.\\items.items.[INDEX].oneOf.0","typeLabel":"object"},{"type":"object","required":["type","fileUrl"],"properties":{"type":{"type":"string","const":"FILE","isRequired":true,"uniqueKey":"data.payload.oneOf.5.\\items.items.[INDEX].oneOf.1.type","typeLabel":"string"},"fileUrl":{"type":"string","format":"uri","description":"The URL of the file to ingest.","isRequired":true,"uniqueKey":"data.payload.oneOf.5.\\items.items.[INDEX].oneOf.1.fileUrl","typeLabel":"string\u003curi>"},"fileName":{"oneOf":[{"type":"string","description":"The name of the file.","uniqueKey":"data.payload.oneOf.5.\\items.items.[INDEX].oneOf.1.fileName.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"data.payload.oneOf.5.\\items.items.[INDEX].oneOf.1.fileName.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.payload.oneOf.5.\\items.items.[INDEX].oneOf.1.fileName","typeLabel":"string | null"},"config":{"type":"object","properties":{"chunkSize":{"type":"integer","minimum":32,"maximum":9007199254740991,"description":"Chunk size (in characters). Controls approximately how much text is included in each chunk. Defaults to `2048`.","uniqueKey":"data.payload.oneOf.5.\\items.items.[INDEX].oneOf.1.config.chunkSize","typeLabel":"integer"},"delimiter":{"type":"string","description":"Delimiter to use for separating text before chunking.","uniqueKey":"data.payload.oneOf.5.\\items.items.[INDEX].oneOf.1.config.delimiter","typeLabel":"string"},"metadata":{"type":"object","propertyNames":{"type":"string"},"additionalProperties":{"oneOf":[{"type":"string","uniqueKey":"data.payload.oneOf.5.\\items.items.[INDEX].oneOf.1.config.metadata.additionalProperties.oneOf.0","typeLabel":"string"},{"type":"number","uniqueKey":"data.payload.oneOf.5.\\items.items.[INDEX].oneOf.1.config.metadata.additionalProperties.oneOf.1","typeLabel":"number"},{"type":"boolean","uniqueKey":"data.payload.oneOf.5.\\items.items.[INDEX].oneOf.1.config.metadata.additionalProperties.oneOf.2","typeLabel":"boolean"},{"type":"array","items":{"type":"string","uniqueKey":"data.payload.oneOf.5.\\items.items.[INDEX].oneOf.1.config.metadata.additionalProperties.oneOf.3.items.[INDEX]","typeLabel":"string"},"uniqueKey":"data.payload.oneOf.5.\\items.items.[INDEX].oneOf.1.config.metadata.additionalProperties.oneOf.3","typeLabel":"string[]"}],"uniqueKey":"data.payload.oneOf.5.\\items.items.[INDEX].oneOf.1.config.metadata.additionalProperties","typeLabel":"string | number | boolean | string[]"},"description":"Custom metadata to be added to the ingested documents. It cannot contain nested objects; only string, number, boolean, and array of strings are allowed.","uniqueKey":"data.payload.oneOf.5.\\items.items.[INDEX].oneOf.1.config.metadata","typeLabel":"object"},"languageCode":{"type":"string","enum":["af","am","ar","bg","bn","ca","cs","cy","da","de","en","es","et","fa","fi","fr","ga","gl","he","hi","hr","hu","id","is","it","jp","kr","lt","lv","mk","ms","mt","ne","nl","no","pl","pt","ro","ru","sk","sl","sr","sv","sw","ta","te","th","tl","tr","uk","ur","vi","zh","zu"],"description":"Language code to use for text processing (for example, `en`, `ar`, or `fr`). When omitted, the partition API will attempt to detect the language automatically.","uniqueKey":"data.payload.oneOf.5.\\items.items.[INDEX].oneOf.1.config.languageCode","typeLabel":"enum\u003cstring>"},"mode":{"type":"string","enum":["fast","balanced","accurate"],"description":"Processing mode for the parser. `fast` favors speed, `accurate` (pro subscription only) favors quality and layout fidelity, and `balanced` offers a compromise between the two. Defaults to `balanced`.","uniqueKey":"data.payload.oneOf.5.\\items.items.[INDEX].oneOf.1.config.mode","typeLabel":"enum\u003cstring>"},"disableImageExtraction":{"type":"boolean","description":"Disable image extraction from the document. When combined with `useLlm`, images may still be automatically captioned by the partition API. Defaults to `false`.","uniqueKey":"data.payload.oneOf.5.\\items.items.[INDEX].oneOf.1.config.disableImageExtraction","typeLabel":"boolean"},"disableImageCaptions":{"type":"boolean","description":"Disable synthetic image captions/descriptions in output. Images will be rendered as plain img tags without alt text. Defaults to `false`.","uniqueKey":"data.payload.oneOf.5.\\items.items.[INDEX].oneOf.1.config.disableImageCaptions","typeLabel":"boolean"},"chartUnderstanding":{"type":"boolean","description":"Enable chart understanding. This will extract the data from the charts in the document. Defaults to `false`.","uniqueKey":"data.payload.oneOf.5.\\items.items.[INDEX].oneOf.1.config.chartUnderstanding","typeLabel":"boolean"},"keepPageheaderInOutput":{"type":"boolean","description":"Keep the page header in the output. Defaults to `false`.","uniqueKey":"data.payload.oneOf.5.\\items.items.[INDEX].oneOf.1.config.keepPageheaderInOutput","typeLabel":"boolean"},"keepPagefooterInOutput":{"type":"boolean","description":"Keep the page footer in the output. Defaults to `false`.","uniqueKey":"data.payload.oneOf.5.\\items.items.[INDEX].oneOf.1.config.keepPagefooterInOutput","typeLabel":"boolean"},"forceOcr":{"type":"boolean","description":"Force OCR on the document even if selectable text exists. Useful for scanned documents with unreliable embedded text. Defaults to `false`.","deprecated":true,"x-speakeasy-deprecation-message":"We no longer support this option.","uniqueKey":"data.payload.oneOf.5.\\items.items.[INDEX].oneOf.1.config.forceOcr","typeLabel":"boolean"},"disableOcrMath":{"type":"boolean","description":"Disable inline math recognition in OCR. This can be useful if the document contains content that is frequently misclassified as math. Defaults to `false`.","deprecated":true,"x-speakeasy-deprecation-message":"We no longer support this option.","uniqueKey":"data.payload.oneOf.5.\\items.items.[INDEX].oneOf.1.config.disableOcrMath","typeLabel":"boolean"},"useLlm":{"type":"boolean","description":"Enable LLM-assisted parsing to improve tables, forms, inline math, and layout detection. May increase latency and token usage. Defaults to `true`.","deprecated":true,"x-speakeasy-deprecation-message":"We no longer support this option. Use `mode` instead.","uniqueKey":"data.payload.oneOf.5.\\items.items.[INDEX].oneOf.1.config.useLlm","typeLabel":"boolean"},"chunkOverlap":{"type":"number","description":"[Deprecated] Custom chunk overlap (in characters) between consecutive chunks. Helps preserve context across chunk boundaries.","deprecated":true,"x-speakeasy-deprecation-message":"We no longer support this option. Use `chunkSize` instead.","uniqueKey":"data.payload.oneOf.5.\\items.items.[INDEX].oneOf.1.config.chunkOverlap","typeLabel":"number"},"maxChunkSize":{"type":"number","description":"[Deprecated] Hard chunk size. This option is ignored by the current partition pipeline and kept only for backwards compatibility.","deprecated":true,"x-speakeasy-deprecation-message":"We no longer support this option. Use `chunkSize` instead.","uniqueKey":"data.payload.oneOf.5.\\items.items.[INDEX].oneOf.1.config.maxChunkSize","typeLabel":"number"},"chunkingStrategy":{"type":"string","enum":["basic","by_title"],"description":"[Deprecated] The legacy chunking strategy. This option is ignored by the current partition pipeline and kept only for backwards compatibility.","deprecated":true,"x-speakeasy-deprecation-message":"We no longer support this option.","uniqueKey":"data.payload.oneOf.5.\\items.items.[INDEX].oneOf.1.config.chunkingStrategy","typeLabel":"enum\u003cstring>"},"strategy":{"type":"string","enum":["auto","fast","hi_res","ocr_only"],"description":"[Deprecated] Legacy processing strategy used by the previous partition API. This option is ignored by the current pipeline and kept only for backwards compatibility.","deprecated":true,"x-speakeasy-deprecation-message":"We no longer support this option. Use `mode` instead.","uniqueKey":"data.payload.oneOf.5.\\items.items.[INDEX].oneOf.1.config.strategy","typeLabel":"enum\u003cstring>"}},"additionalProperties":false,"description":"The document config.","uniqueKey":"data.payload.oneOf.5.\\items.items.[INDEX].oneOf.1.config","typeLabel":"object"}},"additionalProperties":false,"uniqueKey":"data.payload.oneOf.5.\\items.items.[INDEX].oneOf.1","typeLabel":"object"},{"type":"object","required":["type","key"],"properties":{"type":{"type":"string","const":"MANAGED_FILE","isRequired":true,"uniqueKey":"data.payload.oneOf.5.\\items.items.[INDEX].oneOf.2.type","typeLabel":"string"},"key":{"type":"string","description":"The key of the managed file to ingest.","isRequired":true,"uniqueKey":"data.payload.oneOf.5.\\items.items.[INDEX].oneOf.2.key","typeLabel":"string"},"fileName":{"oneOf":[{"type":"string","description":"The name of the file.","uniqueKey":"data.payload.oneOf.5.\\items.items.[INDEX].oneOf.2.fileName.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"data.payload.oneOf.5.\\items.items.[INDEX].oneOf.2.fileName.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.payload.oneOf.5.\\items.items.[INDEX].oneOf.2.fileName","typeLabel":"string | null"},"config":{"type":"object","properties":{"chunkSize":{"type":"integer","minimum":32,"maximum":9007199254740991,"description":"Chunk size (in characters). Controls approximately how much text is included in each chunk. Defaults to `2048`.","uniqueKey":"data.payload.oneOf.5.\\items.items.[INDEX].oneOf.2.config.chunkSize","typeLabel":"integer"},"delimiter":{"type":"string","description":"Delimiter to use for separating text before chunking.","uniqueKey":"data.payload.oneOf.5.\\items.items.[INDEX].oneOf.2.config.delimiter","typeLabel":"string"},"metadata":{"type":"object","propertyNames":{"type":"string"},"additionalProperties":{"oneOf":[{"type":"string","uniqueKey":"data.payload.oneOf.5.\\items.items.[INDEX].oneOf.2.config.metadata.additionalProperties.oneOf.0","typeLabel":"string"},{"type":"number","uniqueKey":"data.payload.oneOf.5.\\items.items.[INDEX].oneOf.2.config.metadata.additionalProperties.oneOf.1","typeLabel":"number"},{"type":"boolean","uniqueKey":"data.payload.oneOf.5.\\items.items.[INDEX].oneOf.2.config.metadata.additionalProperties.oneOf.2","typeLabel":"boolean"},{"type":"array","items":{"type":"string","uniqueKey":"data.payload.oneOf.5.\\items.items.[INDEX].oneOf.2.config.metadata.additionalProperties.oneOf.3.items.[INDEX]","typeLabel":"string"},"uniqueKey":"data.payload.oneOf.5.\\items.items.[INDEX].oneOf.2.config.metadata.additionalProperties.oneOf.3","typeLabel":"string[]"}],"uniqueKey":"data.payload.oneOf.5.\\items.items.[INDEX].oneOf.2.config.metadata.additionalProperties","typeLabel":"string | number | boolean | string[]"},"description":"Custom metadata to be added to the ingested documents. It cannot contain nested objects; only string, number, boolean, and array of strings are allowed.","uniqueKey":"data.payload.oneOf.5.\\items.items.[INDEX].oneOf.2.config.metadata","typeLabel":"object"},"languageCode":{"type":"string","enum":["af","am","ar","bg","bn","ca","cs","cy","da","de","en","es","et","fa","fi","fr","ga","gl","he","hi","hr","hu","id","is","it","jp","kr","lt","lv","mk","ms","mt","ne","nl","no","pl","pt","ro","ru","sk","sl","sr","sv","sw","ta","te","th","tl","tr","uk","ur","vi","zh","zu"],"description":"Language code to use for text processing (for example, `en`, `ar`, or `fr`). When omitted, the partition API will attempt to detect the language automatically.","uniqueKey":"data.payload.oneOf.5.\\items.items.[INDEX].oneOf.2.config.languageCode","typeLabel":"enum\u003cstring>"},"mode":{"type":"string","enum":["fast","balanced","accurate"],"description":"Processing mode for the parser. `fast` favors speed, `accurate` (pro subscription only) favors quality and layout fidelity, and `balanced` offers a compromise between the two. Defaults to `balanced`.","uniqueKey":"data.payload.oneOf.5.\\items.items.[INDEX].oneOf.2.config.mode","typeLabel":"enum\u003cstring>"},"disableImageExtraction":{"type":"boolean","description":"Disable image extraction from the document. When combined with `useLlm`, images may still be automatically captioned by the partition API. Defaults to `false`.","uniqueKey":"data.payload.oneOf.5.\\items.items.[INDEX].oneOf.2.config.disableImageExtraction","typeLabel":"boolean"},"disableImageCaptions":{"type":"boolean","description":"Disable synthetic image captions/descriptions in output. Images will be rendered as plain img tags without alt text. Defaults to `false`.","uniqueKey":"data.payload.oneOf.5.\\items.items.[INDEX].oneOf.2.config.disableImageCaptions","typeLabel":"boolean"},"chartUnderstanding":{"type":"boolean","description":"Enable chart understanding. This will extract the data from the charts in the document. Defaults to `false`.","uniqueKey":"data.payload.oneOf.5.\\items.items.[INDEX].oneOf.2.config.chartUnderstanding","typeLabel":"boolean"},"keepPageheaderInOutput":{"type":"boolean","description":"Keep the page header in the output. Defaults to `false`.","uniqueKey":"data.payload.oneOf.5.\\items.items.[INDEX].oneOf.2.config.keepPageheaderInOutput","typeLabel":"boolean"},"keepPagefooterInOutput":{"type":"boolean","description":"Keep the page footer in the output. Defaults to `false`.","uniqueKey":"data.payload.oneOf.5.\\items.items.[INDEX].oneOf.2.config.keepPagefooterInOutput","typeLabel":"boolean"},"forceOcr":{"type":"boolean","description":"Force OCR on the document even if selectable text exists. Useful for scanned documents with unreliable embedded text. Defaults to `false`.","deprecated":true,"x-speakeasy-deprecation-message":"We no longer support this option.","uniqueKey":"data.payload.oneOf.5.\\items.items.[INDEX].oneOf.2.config.forceOcr","typeLabel":"boolean"},"disableOcrMath":{"type":"boolean","description":"Disable inline math recognition in OCR. This can be useful if the document contains content that is frequently misclassified as math. Defaults to `false`.","deprecated":true,"x-speakeasy-deprecation-message":"We no longer support this option.","uniqueKey":"data.payload.oneOf.5.\\items.items.[INDEX].oneOf.2.config.disableOcrMath","typeLabel":"boolean"},"useLlm":{"type":"boolean","description":"Enable LLM-assisted parsing to improve tables, forms, inline math, and layout detection. May increase latency and token usage. Defaults to `true`.","deprecated":true,"x-speakeasy-deprecation-message":"We no longer support this option. Use `mode` instead.","uniqueKey":"data.payload.oneOf.5.\\items.items.[INDEX].oneOf.2.config.useLlm","typeLabel":"boolean"},"chunkOverlap":{"type":"number","description":"[Deprecated] Custom chunk overlap (in characters) between consecutive chunks. Helps preserve context across chunk boundaries.","deprecated":true,"x-speakeasy-deprecation-message":"We no longer support this option. Use `chunkSize` instead.","uniqueKey":"data.payload.oneOf.5.\\items.items.[INDEX].oneOf.2.config.chunkOverlap","typeLabel":"number"},"maxChunkSize":{"type":"number","description":"[Deprecated] Hard chunk size. This option is ignored by the current partition pipeline and kept only for backwards compatibility.","deprecated":true,"x-speakeasy-deprecation-message":"We no longer support this option. Use `chunkSize` instead.","uniqueKey":"data.payload.oneOf.5.\\items.items.[INDEX].oneOf.2.config.maxChunkSize","typeLabel":"number"},"chunkingStrategy":{"type":"string","enum":["basic","by_title"],"description":"[Deprecated] The legacy chunking strategy. This option is ignored by the current partition pipeline and kept only for backwards compatibility.","deprecated":true,"x-speakeasy-deprecation-message":"We no longer support this option.","uniqueKey":"data.payload.oneOf.5.\\items.items.[INDEX].oneOf.2.config.chunkingStrategy","typeLabel":"enum\u003cstring>"},"strategy":{"type":"string","enum":["auto","fast","hi_res","ocr_only"],"description":"[Deprecated] Legacy processing strategy used by the previous partition API. This option is ignored by the current pipeline and kept only for backwards compatibility.","deprecated":true,"x-speakeasy-deprecation-message":"We no longer support this option. Use `mode` instead.","uniqueKey":"data.payload.oneOf.5.\\items.items.[INDEX].oneOf.2.config.strategy","typeLabel":"enum\u003cstring>"}},"additionalProperties":false,"description":"The document config.","uniqueKey":"data.payload.oneOf.5.\\items.items.[INDEX].oneOf.2.config","typeLabel":"object"}},"additionalProperties":false,"uniqueKey":"data.payload.oneOf.5.\\items.items.[INDEX].oneOf.2","typeLabel":"object"}],"uniqueKey":"data.payload.oneOf.5.\\items.items.[INDEX]","typeLabel":"object"},"description":"The items to ingest.","isRequired":true,"uniqueKey":"data.payload.oneOf.5.\\items","typeLabel":"object[]"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"data.payload.oneOf.5","typeLabel":"Batch Payload · object"}],"isRequired":true,"uniqueKey":"data.payload","typeLabel":"Text Payload · object | URL Payload · object | Managed File Payload · object | Crawl Payload · object | Youtube Payload · object | Batch Payload · object"},"config":{"oneOf":[{"type":"object","description":"The ingest job config.","properties":{"chunkSize":{"type":"integer","minimum":32,"maximum":9007199254740991,"description":"Chunk size (in characters). Controls approximately how much text is included in each chunk. Defaults to `2048`.","uniqueKey":"data.config.oneOf.0.chunkSize","typeLabel":"integer"},"delimiter":{"type":"string","description":"Delimiter to use for separating text before chunking.","uniqueKey":"data.config.oneOf.0.delimiter","typeLabel":"string"},"metadata":{"type":"object","propertyNames":{"type":"string"},"additionalProperties":{"oneOf":[{"type":"string","uniqueKey":"data.config.oneOf.0.metadata.additionalProperties.oneOf.0","typeLabel":"string"},{"type":"number","uniqueKey":"data.config.oneOf.0.metadata.additionalProperties.oneOf.1","typeLabel":"number"},{"type":"boolean","uniqueKey":"data.config.oneOf.0.metadata.additionalProperties.oneOf.2","typeLabel":"boolean"},{"type":"array","items":{"type":"string","uniqueKey":"data.config.oneOf.0.metadata.additionalProperties.oneOf.3.items.[INDEX]","typeLabel":"string"},"uniqueKey":"data.config.oneOf.0.metadata.additionalProperties.oneOf.3","typeLabel":"string[]"}],"uniqueKey":"data.config.oneOf.0.metadata.additionalProperties","typeLabel":"string | number | boolean | string[]"},"description":"Custom metadata to be added to the ingested documents. It cannot contain nested objects; only string, number, boolean, and array of strings are allowed.","uniqueKey":"data.config.oneOf.0.metadata","typeLabel":"object"},"languageCode":{"type":"string","enum":["af","am","ar","bg","bn","ca","cs","cy","da","de","en","es","et","fa","fi","fr","ga","gl","he","hi","hr","hu","id","is","it","jp","kr","lt","lv","mk","ms","mt","ne","nl","no","pl","pt","ro","ru","sk","sl","sr","sv","sw","ta","te","th","tl","tr","uk","ur","vi","zh","zu"],"description":"Language code to use for text processing (for example, `en`, `ar`, or `fr`). When omitted, the partition API will attempt to detect the language automatically.","uniqueKey":"data.config.oneOf.0.languageCode","typeLabel":"enum\u003cstring>"},"mode":{"type":"string","enum":["fast","balanced","accurate"],"description":"Processing mode for the parser. `fast` favors speed, `accurate` (pro subscription only) favors quality and layout fidelity, and `balanced` offers a compromise between the two. Defaults to `balanced`.","uniqueKey":"data.config.oneOf.0.mode","typeLabel":"enum\u003cstring>"},"disableImageExtraction":{"type":"boolean","description":"Disable image extraction from the document. When combined with `useLlm`, images may still be automatically captioned by the partition API. Defaults to `false`.","uniqueKey":"data.config.oneOf.0.disableImageExtraction","typeLabel":"boolean"},"disableImageCaptions":{"type":"boolean","description":"Disable synthetic image captions/descriptions in output. Images will be rendered as plain img tags without alt text. Defaults to `false`.","uniqueKey":"data.config.oneOf.0.disableImageCaptions","typeLabel":"boolean"},"chartUnderstanding":{"type":"boolean","description":"Enable chart understanding. This will extract the data from the charts in the document. Defaults to `false`.","uniqueKey":"data.config.oneOf.0.chartUnderstanding","typeLabel":"boolean"},"keepPageheaderInOutput":{"type":"boolean","description":"Keep the page header in the output. Defaults to `false`.","uniqueKey":"data.config.oneOf.0.keepPageheaderInOutput","typeLabel":"boolean"},"keepPagefooterInOutput":{"type":"boolean","description":"Keep the page footer in the output. Defaults to `false`.","uniqueKey":"data.config.oneOf.0.keepPagefooterInOutput","typeLabel":"boolean"},"forceOcr":{"type":"boolean","description":"Force OCR on the document even if selectable text exists. Useful for scanned documents with unreliable embedded text. Defaults to `false`.","deprecated":true,"x-speakeasy-deprecation-message":"We no longer support this option.","uniqueKey":"data.config.oneOf.0.forceOcr","typeLabel":"boolean"},"disableOcrMath":{"type":"boolean","description":"Disable inline math recognition in OCR. This can be useful if the document contains content that is frequently misclassified as math. Defaults to `false`.","deprecated":true,"x-speakeasy-deprecation-message":"We no longer support this option.","uniqueKey":"data.config.oneOf.0.disableOcrMath","typeLabel":"boolean"},"useLlm":{"type":"boolean","description":"Enable LLM-assisted parsing to improve tables, forms, inline math, and layout detection. May increase latency and token usage. Defaults to `true`.","deprecated":true,"x-speakeasy-deprecation-message":"We no longer support this option. Use `mode` instead.","uniqueKey":"data.config.oneOf.0.useLlm","typeLabel":"boolean"},"chunkOverlap":{"type":"number","description":"[Deprecated] Custom chunk overlap (in characters) between consecutive chunks. Helps preserve context across chunk boundaries.","deprecated":true,"x-speakeasy-deprecation-message":"We no longer support this option. Use `chunkSize` instead.","uniqueKey":"data.config.oneOf.0.chunkOverlap","typeLabel":"number"},"maxChunkSize":{"type":"number","description":"[Deprecated] Hard chunk size. This option is ignored by the current partition pipeline and kept only for backwards compatibility.","deprecated":true,"x-speakeasy-deprecation-message":"We no longer support this option. Use `chunkSize` instead.","uniqueKey":"data.config.oneOf.0.maxChunkSize","typeLabel":"number"},"chunkingStrategy":{"type":"string","enum":["basic","by_title"],"description":"[Deprecated] The legacy chunking strategy. This option is ignored by the current partition pipeline and kept only for backwards compatibility.","deprecated":true,"x-speakeasy-deprecation-message":"We no longer support this option.","uniqueKey":"data.config.oneOf.0.chunkingStrategy","typeLabel":"enum\u003cstring>"},"strategy":{"type":"string","enum":["auto","fast","hi_res","ocr_only"],"description":"[Deprecated] Legacy processing strategy used by the previous partition API. This option is ignored by the current pipeline and kept only for backwards compatibility.","deprecated":true,"x-speakeasy-deprecation-message":"We no longer support this option. Use `mode` instead.","uniqueKey":"data.config.oneOf.0.strategy","typeLabel":"enum\u003cstring>"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"data.config.oneOf.0","typeLabel":"object"},{"type":"null","isRequired":true,"uniqueKey":"data.config.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.config","typeLabel":"object | null"},"createdAt":{"description":"The date and time the namespace was created.","type":"string","isRequired":true,"uniqueKey":"data.createdAt","typeLabel":"string"},"queuedAt":{"oneOf":[{"type":"string","description":"The date and time the ingest job was queued.","isRequired":true,"uniqueKey":"data.queuedAt.oneOf.0","typeLabel":"string"},{"type":"null","description":"The date and time the ingest job was queued.","isRequired":true,"uniqueKey":"data.queuedAt.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.queuedAt","typeLabel":"string | null"},"preProcessingAt":{"oneOf":[{"type":"string","description":"The date and time the ingest job was pre-processed.","isRequired":true,"uniqueKey":"data.preProcessingAt.oneOf.0","typeLabel":"string"},{"type":"null","description":"The date and time the ingest job was pre-processed.","isRequired":true,"uniqueKey":"data.preProcessingAt.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.preProcessingAt","typeLabel":"string | null"},"processingAt":{"oneOf":[{"type":"string","description":"The date and time the ingest job was processed.","isRequired":true,"uniqueKey":"data.processingAt.oneOf.0","typeLabel":"string"},{"type":"null","description":"The date and time the ingest job was processed.","isRequired":true,"uniqueKey":"data.processingAt.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.processingAt","typeLabel":"string | null"},"completedAt":{"oneOf":[{"type":"string","description":"The date and time the ingest job was completed.","isRequired":true,"uniqueKey":"data.completedAt.oneOf.0","typeLabel":"string"},{"type":"null","description":"The date and time the ingest job was completed.","isRequired":true,"uniqueKey":"data.completedAt.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.completedAt","typeLabel":"string | null"},"failedAt":{"oneOf":[{"type":"string","description":"The date and time the ingest job failed.","isRequired":true,"uniqueKey":"data.failedAt.oneOf.0","typeLabel":"string"},{"type":"null","description":"The date and time the ingest job failed.","isRequired":true,"uniqueKey":"data.failedAt.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.failedAt","typeLabel":"string | null"},"name":{"oneOf":[{"type":"string","description":"The name of the ingest job.","uniqueKey":"data.name.oneOf.0","typeLabel":"string"},{"type":"null","description":"The name of the ingest job.","uniqueKey":"data.name.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.name","typeLabel":"string | null"}},"required":["id","namespaceId","tenantId","externalId","status","error","payload","config","createdAt","queuedAt","preProcessingAt","processingAt","completedAt","failedAt"],"additionalProperties":false,"title":"Ingest Job","isRequired":true,"uniqueKey":"data","typeLabel":"Ingest Job · object"}},"required":["success","data"],"additionalProperties":false,"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"success":true,"data":{"id":"\u003cstring>","namespaceId":"\u003cstring>","tenantId":"\u003cstring>","externalId":"\u003cstring>","status":"BACKLOG","error":"\u003cstring>","payload":{"type":"TEXT","text":"\u003cstring>","fileName":"\u003cstring>"},"config":{"chunkSize":4503599627370512,"delimiter":"\u003cstring>","metadata":{},"languageCode":"af","mode":"fast","disableImageExtraction":true,"disableImageCaptions":true,"chartUnderstanding":true,"keepPageheaderInOutput":true,"keepPagefooterInOutput":true,"forceOcr":true,"disableOcrMath":true,"useLlm":true,"chunkOverlap":123,"maxChunkSize":123,"chunkingStrategy":"basic","strategy":"auto"},"createdAt":"\u003cstring>","queuedAt":"\u003cstring>","preProcessingAt":"\u003cstring>","processingAt":"\u003cstring>","completedAt":"\u003cstring>","failedAt":"\u003cstring>","name":"\u003cstring>"}}}},"exampleType":"generated"}},"exampleType":"generated"},"a596575f-31c7-47df-856c-96b4434b250c":{"description":"The server cannot or will not process the request due to something that is perceived to be a client error (e.g., malformed request syntax, invalid request message framing, or deceptive request routing).","content":{"application/json":{"schema":{"x-speakeasy-name-override":"BadRequest","type":"object","properties":{"success":{"type":"boolean","example":false,"isRequired":true,"uniqueKey":"success","typeLabel":"boolean"},"error":{"type":"object","properties":{"code":{"type":"string","enum":["bad_request"],"description":"A short code indicating the error code returned.","example":"bad_request","isRequired":true,"uniqueKey":"error.code","typeLabel":"enum\u003cstring>"},"message":{"x-speakeasy-error-message":true,"type":"string","description":"A human readable explanation of what went wrong.","example":"The requested resource was not found.","isRequired":true,"uniqueKey":"error.message","typeLabel":"string"},"doc_url":{"type":"string","description":"A link to our documentation with more details about this error code","example":"https://docs.agentset.ai/api-reference/errors#bad-request","uniqueKey":"error.doc_url","typeLabel":"string"}},"required":["code","message"],"isRequired":true,"uniqueKey":"error","typeLabel":"object"}},"required":["success","error"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"success":false,"error":{"code":"bad_request","message":"The requested resource was not found.","doc_url":"https://docs.agentset.ai/api-reference/errors#bad-request"}}}},"exampleType":"generated"}},"exampleType":"generated"},"c2cfc78b-1d5e-4fd5-bd3b-1d3ac6485268":{"description":"Although the HTTP standard specifies \"unauthorized\", semantically this response means \"unauthenticated\". That is, the client must authenticate itself to get the requested response.","content":{"application/json":{"schema":{"x-speakeasy-name-override":"Unauthorized","type":"object","properties":{"success":{"type":"boolean","example":false,"isRequired":true,"uniqueKey":"success","typeLabel":"boolean"},"error":{"type":"object","properties":{"code":{"type":"string","enum":["unauthorized"],"description":"A short code indicating the error code returned.","example":"unauthorized","isRequired":true,"uniqueKey":"error.code","typeLabel":"enum\u003cstring>"},"message":{"x-speakeasy-error-message":true,"type":"string","description":"A human readable explanation of what went wrong.","example":"The requested resource was not found.","isRequired":true,"uniqueKey":"error.message","typeLabel":"string"},"doc_url":{"type":"string","description":"A link to our documentation with more details about this error code","example":"https://docs.agentset.ai/api-reference/errors#unauthorized","uniqueKey":"error.doc_url","typeLabel":"string"}},"required":["code","message"],"isRequired":true,"uniqueKey":"error","typeLabel":"object"}},"required":["success","error"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"success":false,"error":{"code":"unauthorized","message":"The requested resource was not found.","doc_url":"https://docs.agentset.ai/api-reference/errors#unauthorized"}}}},"exampleType":"generated"}},"exampleType":"generated"},"c65ec658-b086-4ec4-8ba6-e8abad81fd2d":{"description":"The client does not have access rights to the content; that is, it is unauthorized, so the server is refusing to give the requested resource. Unlike 401 Unauthorized, the client's identity is known to the server.","content":{"application/json":{"schema":{"x-speakeasy-name-override":"Forbidden","type":"object","properties":{"success":{"type":"boolean","example":false,"isRequired":true,"uniqueKey":"success","typeLabel":"boolean"},"error":{"type":"object","properties":{"code":{"type":"string","enum":["forbidden"],"description":"A short code indicating the error code returned.","example":"forbidden","isRequired":true,"uniqueKey":"error.code","typeLabel":"enum\u003cstring>"},"message":{"x-speakeasy-error-message":true,"type":"string","description":"A human readable explanation of what went wrong.","example":"The requested resource was not found.","isRequired":true,"uniqueKey":"error.message","typeLabel":"string"},"doc_url":{"type":"string","description":"A link to our documentation with more details about this error code","example":"https://docs.agentset.ai/api-reference/errors#forbidden","uniqueKey":"error.doc_url","typeLabel":"string"}},"required":["code","message"],"isRequired":true,"uniqueKey":"error","typeLabel":"object"}},"required":["success","error"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"success":false,"error":{"code":"forbidden","message":"The requested resource was not found.","doc_url":"https://docs.agentset.ai/api-reference/errors#forbidden"}}}},"exampleType":"generated"}},"exampleType":"generated"},"602adc33-8687-4b33-b297-452772acaa82":{"description":"The server cannot find the requested resource.","content":{"application/json":{"schema":{"x-speakeasy-name-override":"NotFound","type":"object","properties":{"success":{"type":"boolean","example":false,"isRequired":true,"uniqueKey":"success","typeLabel":"boolean"},"error":{"type":"object","properties":{"code":{"type":"string","enum":["not_found"],"description":"A short code indicating the error code returned.","example":"not_found","isRequired":true,"uniqueKey":"error.code","typeLabel":"enum\u003cstring>"},"message":{"x-speakeasy-error-message":true,"type":"string","description":"A human readable explanation of what went wrong.","example":"The requested resource was not found.","isRequired":true,"uniqueKey":"error.message","typeLabel":"string"},"doc_url":{"type":"string","description":"A link to our documentation with more details about this error code","example":"https://docs.agentset.ai/api-reference/errors#not-found","uniqueKey":"error.doc_url","typeLabel":"string"}},"required":["code","message"],"isRequired":true,"uniqueKey":"error","typeLabel":"object"}},"required":["success","error"],"uniqueKey":"","typeLabel":"object"},"examples":{"Ex
[...]
